% LIPSBG      - Runs LIPSOL on background in a batch mode.
%          It runs LIPSOL on a list of problems and at the end quits
%          Matlab.  It is used for running LIPSOL on the background.
%          The configuration parameters are specified in "config.rc".
%          The problem file is specified in prob.rc which gives the
%          extension of a problem file "probs/prob.*".
%          The output file is "output/out$$", where $$ is the pid.

% Yin Zhang, January, 1995
% Department of Mathematics and Statistics
% University of Maryland  Baltimore County

global OUTFID

[prcfid errmsg] = fopen('../batch/prob.rc','r');
if (prcfid == -1) error(errmsg); end;
probfile = fscanf(prcfid,'%s');
probfile = ['../batch/probs/prob.' probfile];

[stat pid] = unix('echo $$');
pid = pid(1:length(pid) - 1);
outfile  = ['../batch/output/out' pid];
OUTFID = fopen(outfile,'w');

[probfid errmsg] = fopen(probfile,'r');
if (probfid == -1) error(errmsg); end;

[stat, date] = unix('date'); 
fprintf(OUTFID, '%s', date);
load ../batch/config.rc; 
lipconfig(config);
[stat, parms] = unix('cat miip/parameters.m');
fprintf(OUTFID, '%s\n', parms);

while 1
   pname = fscanf(probfid,'%s',1);
   if (pname == []) break; end;
   lipsol(pname);
end

fclose('all');
quit;
