function status = findprob(pdir,pname)
% FINDPROB   search for a given problem

% Author: Yin Zhang, July 1995
% Dept Math/Stat, UMBC

if pdir == []
   MATNAME = ['../matdir/' pname '.mat'];
   MPSNAME = ['../mpsdir/' pname '.mps'];
   LPPNAME = ['../lppdir/' pname '.lpp'];
else
   MATNAME = [pdir '/' pname '.mat'];
   MPSNAME = [pdir '/' pname '.mps'];
   LPPNAME = [pdir '/' pname '.lpp'];
end

status = 1;
if exist(MATNAME) 
   unix(['/bin/cp ' MATNAME ' default.mat']); return;
end
if exist([MATNAME '.gz'])
   unix(['gunzip -c ' MATNAME '.gz > default.mat']); return;
end
if exist([MATNAME '.Z']) 
   unix(['uncompress -c ' MATNAME '.Z > default.mat']); return;
end

if exist([MPSNAME '.gz']) 
   unix(['gunzip -c ' MPSNAME '.gz > in.mps']);
elseif exist([MPSNAME '.Z'])
   unix(['uncompress -c ' MPSNAME '.Z > in.mps']);
elseif exist(MPSNAME) 
   unix(['/bin/cp ' MPSNAME ' in.mps']);
end
if exist('in.mps')
   [ignore, UNAME] = unix('uname'); last = length(UNAME);
   if abs(UNAME(last)) == 10 UNAME = UNAME(1:last-1); end
   MPS2MAT = ['../mexdir/mps2mat.' UNAME];
   fprintf('Running mps2mat ...\n');
   unix([MPS2MAT ' >/dev/null; /bin/rm in.mps']);
%  unix([MPS2MAT ' > load.log; /bin/rm in.mps']);
   return;
end

if exist(LPPNAME)
   readlpp(LPPNAME); return; 
end
if exist([LPPNAME '.gz']) 
   unix(['gunzip -c ' LPPNAME '.gz > tmp.lpp']);
   readlpp('tmp.lpp'); unix('/bin/rm tmp.lpp'); return; 
end
if exist([LPPNAME '.Z'])
   unix(['uncompress -c ' LPPNAME  '.Z > tmp.lpp']);
   readlpp('tmp.lpp'); unix('/bin/rm tmp.lpp'); return; 
end

status = 0;
